### Method

# Gio TlsPassword get_value

since: 2.30

#### Declaration [src]

    const guchar*
    g_tls_password_get_value (
      GTlsPassword* password,
      gsize* length
    )

#### Description [src]

Get the password value. If `length` is not `NULL` then it will be filled in with the length of the password value. (Note that the password value is not nul-terminated, so you can only pass `NULL` for `length` in contexts where you know the password will have a certain fixed length.).

Available since: 2.30

#### Parameters

`length`

  Type: `gsize*`

  Location to place the length of the password.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guchar`

The password value (owned by the password object).

The length of the array is in the `length` argument.
The returned data is owned by the instance.